package cn.com.poc.ai_data_audit.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for AiDataAuditRuleQuery
 */
@Entity
public class AiDataAuditRuleQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** data_audit_rule_id
    *data_audit_rule_id
    */ 
    private java.lang.Integer dataAuditRuleId;
    
    @Column(name = "data_audit_rule_id")
    public java.lang.Integer getDataAuditRuleId(){
        return this.dataAuditRuleId;
    }
    
    public void setDataAuditRuleId(java.lang.Integer dataAuditRuleId){
        this.dataAuditRuleId = dataAuditRuleId;
    }
    
    /** data_audit_rule_type
    *data_audit_rule_type
    */ 
    private java.lang.String dataAuditRuleType;
    
    @Column(name = "data_audit_rule_type")
    public java.lang.String getDataAuditRuleType(){
        return this.dataAuditRuleType;
    }
    
    public void setDataAuditRuleType(java.lang.String dataAuditRuleType){
        this.dataAuditRuleType = dataAuditRuleType;
    }
    
    /** risk_level
    *risk_level
    */ 
    private java.lang.String riskLevel;
    
    @Column(name = "risk_level")
    public java.lang.String getRiskLevel(){
        return this.riskLevel;
    }
    
    public void setRiskLevel(java.lang.String riskLevel){
        this.riskLevel = riskLevel;
    }
    
    /** title
    *title
    */ 
    private java.lang.String title;
    
    @Column(name = "title")
    public java.lang.String getTitle(){
        return this.title;
    }
    
    public void setTitle(java.lang.String title){
        this.title = title;
    }
    
    /** first_file
    *first_file
    */ 
    private java.lang.String firstFile;
    
    @Column(name = "first_file")
    public java.lang.String getFirstFile(){
        return this.firstFile;
    }
    
    public void setFirstFile(java.lang.String firstFile){
        this.firstFile = firstFile;
    }
    
    /** first_field
    *first_field
    */ 
    private java.lang.String firstField;
    
    @Column(name = "first_field")
    public java.lang.String getFirstField(){
        return this.firstField;
    }
    
    public void setFirstField(java.lang.String firstField){
        this.firstField = firstField;
    }
    
    /** second_file
    *second_file
    */ 
    private java.lang.String secondFile;
    
    @Column(name = "second_file")
    public java.lang.String getSecondFile(){
        return this.secondFile;
    }
    
    public void setSecondFile(java.lang.String secondFile){
        this.secondFile = secondFile;
    }
    
    /** second_field
    *second_field
    */ 
    private java.lang.String secondField;
    
    @Column(name = "second_field")
    public java.lang.String getSecondField(){
        return this.secondField;
    }
    
    public void setSecondField(java.lang.String secondField){
        this.secondField = secondField;
    }
    
    /** rule_desc
    *rule_desc
    */ 
    private java.lang.String ruleDesc;
    
    @Column(name = "rule_desc")
    public java.lang.String getRuleDesc(){
        return this.ruleDesc;
    }
    
    public void setRuleDesc(java.lang.String ruleDesc){
        this.ruleDesc = ruleDesc;
    }
    
} 